import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner
import time


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        name = "AudioStreamFromWave"

        elems = self.driver.find_elements_by_xpath(
            '//ul[@id="nodelist"]/li[@type="category"]')
        for li in elems[0:5]:
            li.click()
            time.sleep(0.5)
            node = li.find_elements_by_css_selector(".nodeElement")[4]
            action = webdriver.ActionChains(self.driver)
            action.move_to_element(node).perform()
            time.sleep(2)
            self.driver.save_screenshot(
                "%s/%s%s.png" % ("png", "Add_Node_", "MAIN"))
            break

if __name__ == "__main__":
    unittest.main()
