(function(){
    function userupdate(){
        // get user list
        $.ajax({
            url: "/admin/userlist",
            method: "GET",
            dataType: "json"
        }).done(function(data){
            $("#users tr.user").remove();
            _.each(data, function(d){
                $("#users").append(_.template($("#userTemplate").html(), d));
            });

            // operation buttons
            $("#users .del button").button().click(function(e){
                if(confirm("Are you sure to remove user " + $(this).attr("name") + "?")){
                    $(this).parent().siblings(".msg").text("deleting...");
                    $.ajax({
                        url: "/admin/user/" + $(this).attr("name"),
                        method: "DELETE"
                    }).done(function(data){
                        userupdate();
                    });
                }
            });

            $("#users .update button").button().click(function(e){
                $("#userUpdateDialog").dialog("option", "title", 
                    "Update " + $(this).attr("name"));
                $("#userUpdateDialogForm").attr("username", $(this).attr("name"));
                $("#userUpdateDialog").dialog("open");
            });
        });
    };

    // dialog for user update
    $("#userUpdateDialog").dialog({
        autoOpen: false, 
        buttons: {
            "OK": function(e){
                var data = {
                    curpassword: $("#userUpdateDialogForm [name=curpassword]").val(),
                    newpassword: $("#userUpdateDialogForm [name=newpassword]").val()
                };
                $.ajax({
                    url: "/admin/user/" + $("#userUpdateDialogForm").attr("username"),
                    method: "POST",
                    data: data
                }).done(function(data){
                });
                $(this).dialog("close");
                $("#users .msg").text("");
                $("#" + $("#userUpdateDialogForm").attr("username") + " .msg").text("Updated.");
            },
            "Cancel": function() {$(this).dialog("close");}
        }
    });

    $("#reload").button({
        text: false,
        icons: {primary: "ui-icon-arrowrefresh-1-s"}
    }).click(function(event){
        userupdate();
        $(this).css("after", "reloaded.");
    });

    userupdate();
})();